Skip to content

Retrieve a Webhook Endpoint

GET
/v1/webhook_endpoints/{id}
curl --request GET \
--url https://api.parasta.io/v1/webhook_endpoints/example \
--header 'Authorization: Bearer <token>'
id
required
string

OK

Media type application/json
object
id
required
string
url
required
string format: uri
enabled_events
required
Array<string>
Allowed values: payment.created payment.pending payment.succeeded payment.failed payment.expired checkout.session.completed checkout.session.expired qr.session.completed refund.created refund.succeeded refund.failed
secret_preview
required

First 8 chars of the signing secret. Full secret only shown on POST.

string
status
required
string
Allowed values: enabled disabled
created
string format: date-time
Example
{
"id": "we_abc123",
"enabled_events": [
"payment.created"
],
"status": "enabled"
}

Object not found

Media type application/json
object
error
required
object
type
required
string
Allowed values: authentication_error permission_error invalid_request_error not_found_error rate_limit_error idempotency_error payment_error network_error api_error
code
required
string
message
required
string
param
string
request_id
string
Example
{
"error": {
"type": "authentication_error"
}
}